<?php
/*
 * content/page/Rebuild.class.php
 * 
 * CopyRight(C) 2010 Shopformer Development Team. All Right Reserved
 * URL: http://sourceforge.jp/projects/shopformer/
 * 
 * 
 * Mail: m_nakashima@users.sourceforge.jp
 * Auther: Masanori Nakashima
 * Last Update: 2010-06-18
 */
require_once( dirname(dirname(dirname(__FILE__)))
	.DIRECTORY_SEPARATOR.'system'
	.DIRECTORY_SEPARATOR.'login'
	.DIRECTORY_SEPARATOR.'ModuleBase.class.php');
require_once( dirname(dirname(__FILE__))
	.DIRECTORY_SEPARATOR.'DaoPage.class.php');
class content_page_Rebuild extends system_login_ModuleBase {
	function content_page_Rebuild() {
	}
	function execute( & $request ) {
		$fileUri			= strtolower(trim(stripslashes($_GET['uri'])));
		if( strlen(trim($fileUri)) == 0 ) {
			$request->addError('ファイルURIを指定してください');
		}
		if( !$request->isError() ) {
			$pageObject		= new content_DaoPage($fileUri);
			$pageObject->load( $request );
			$pageObject->rebuildAll( $request );
			$request->setAttribute('content.page.pageObject',$pageObject );
		}
	}
}
?>